Subject: bug#47810: 28.0.50; pulse no longer accepts a face argument

From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Apr 2021 19:02:36 -0500

Protesilaos Stavrou <[email-masked]> writes:

> On 2021-04-16, 08:32 +0000, Gregory Heytings <[email-masked]> wrote:
>
>>>
>>> I would expect the following two expressions to produce pulse effects
>>> that differ in colour (tried with emacs -Q):
>>>
>>>    (pulse-momentary-highlight-region (point-at-bol) (point-at-eol) 'highlight)
>>>    (pulse-momentary-highlight-region (point-at-bol) (point-at-eol) 'region)
>>>
>>> Instead they use the background of pulse-highlight-start-face.
>>>
>>
>> Indeed; patch attached.
>
> Thank you!  I can confirm that this works.

I guess we are still waiting for Gregory's copyright papers to come
through before this can be applied?